Commit a61eb5bf authored by Natanael Copa's avatar Natanael Copa

x11/gtk-vnc: upgrade to 0.3.10 and create gvncviewer

parent ef46a096
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=gtk-vnc
pkgver=0.3.8
pkgver=0.3.10
pkgrel=0
pkgdesc="A VNC viewer widget for GTK"
url="http://live.gnome.org/gtk-vnc"
license="LGPL"
subpackages="$pkgname-dev"
subpackages="$pkgname-dev gvncviewer"
makedepends="gnutls-dev gtk+-dev libiconv-dev gettext-dev intltool expat-dev
libgcrypt-dev libgpg-error-dev"
libgcrypt-dev libgpg-error-dev cyrus-sasl-dev"
depends_dev="gtk+-dev gnutls-dev"
source="http://ftp.gnome.org/pub/gnome/sources/$pkgname/0.3/$pkgname-$pkgver.tar.bz2"
......@@ -16,9 +16,20 @@ build ()
cd "$srcdir"/$pkgname-$pkgver
./configure --prefix=/usr \
--without-python \
--without-examples \
--with-examples \
--disable-static || return 1
make || return 1
}
package() {
cd "$srcdir"/$pkgname-$pkgver
make DESTDIR="$pkgdir" install || return 1
}
md5sums="7c7b07a868568206acd3f6e9e4d18ba1 gtk-vnc-0.3.8.tar.bz2"
gvncviewer() {
pkgdesc="Demo application for gtk-vnc"
mkdir -p "$subpkgdir"/usr
mv "$pkgdir"/usr/bin "$subpkgdir"/usr/
}
md5sums="9aa9d830b219255c8d6753ef55802932 gtk-vnc-0.3.10.tar.bz2"
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment